function e(e4, t3) {
  return function() {
    return e4.apply(t3, arguments);
  };
}
const { toString: t } = Object.prototype, { getPrototypeOf: n } = Object, { iterator: r, toStringTag: o } = Symbol, s = (i = /* @__PURE__ */ Object.create(null), (e4) => {
  const n2 = t.call(e4);
  return i[n2] || (i[n2] = n2.slice(8, -1).toLowerCase());
});
var i;
const a = (e4) => (e4 = e4.toLowerCase(), (t3) => s(t3) === e4), c = (e4) => (t3) => typeof t3 === e4, { isArray: l } = Array, u = c("undefined");
const f = a("ArrayBuffer");
const d = c("string"), p = c("function"), h = c("number"), m = (e4) => null !== e4 && "object" == typeof e4, y = (e4) => {
  if ("object" !== s(e4))
    return false;
  const t3 = n(e4);
  return !(null !== t3 && t3 !== Object.prototype && null !== Object.getPrototypeOf(t3) || o in e4 || r in e4);
}, b = a("Date"), g = a("File"), w = a("Blob"), E = a("FileList"), O = a("URLSearchParams"), [R, S, T, A] = ["ReadableStream", "Request", "Response", "Headers"].map(a);
function v(e4, t3, { allOwnKeys: n2 = false } = {}) {
  if (null == e4)
    return;
  let r2, o2;
  if ("object" != typeof e4 && (e4 = [e4]), l(e4))
    for (r2 = 0, o2 = e4.length; r2 < o2; r2++)
      t3.call(null, e4[r2], r2, e4);
  else {
    const o3 = n2 ? Object.getOwnPropertyNames(e4) : Object.keys(e4), s2 = o3.length;
    let i2;
    for (r2 = 0; r2 < s2; r2++)
      i2 = o3[r2], t3.call(null, e4[i2], i2, e4);
  }
}
function C(e4, t3) {
  t3 = t3.toLowerCase();
  const n2 = Object.keys(e4);
  let r2, o2 = n2.length;
  for (; o2-- > 0; )
    if (r2 = n2[o2], t3 === r2.toLowerCase())
      return r2;
  return null;
}
const x = "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : "undefined" != typeof window ? window : global, j = (e4) => !u(e4) && e4 !== x;
const N = (P = "undefined" != typeof Uint8Array && n(Uint8Array), (e4) => P && e4 instanceof P);
var P;
const U = a("HTMLFormElement"), _ = (({ hasOwnProperty: e4 }) => (t3, n2) => e4.call(t3, n2))(Object.prototype), F = a("RegExp"), L = (e4, t3) => {
  const n2 = Object.getOwnPropertyDescriptors(e4), r2 = {};
  v(n2, (n3, o2) => {
    let s2;
    false !== (s2 = t3(n3, o2, e4)) && (r2[o2] = s2 || n3);
  }), Object.defineProperties(e4, r2);
};
const B = a("AsyncFunction"), k = (D = "function" == typeof setImmediate, q = p(x.postMessage), D ? setImmediate : q ? (M = `axios@${Math.random()}`, I = [], x.addEventListener("message", ({ source: e4, data: t3 }) => {
  e4 === x && t3 === M && I.length && I.shift()();
}, false), (e4) => {
  I.push(e4), x.postMessage(M, "*");
}) : (e4) => setTimeout(e4));
var D, q, M, I;
const z = "undefined" != typeof queueMicrotask ? queueMicrotask.bind(x) : "undefined" != typeof process && process.nextTick || k, H = { isArray: l, isArrayBuffer: f, isBuffer: function(e4) {
  return null !== e4 && !u(e4) && null !== e4.constructor && !u(e4.constructor) && p(e4.constructor.isBuffer) && e4.constructor.isBuffer(e4);
}, isFormData: (e4) => {
  let t3;
  return e4 && ("function" == typeof FormData && e4 instanceof FormData || p(e4.append) && ("formdata" === (t3 = s(e4)) || "object" === t3 && p(e4.toString) && "[object FormData]" === e4.toString()));
}, isArrayBufferView: function(e4) {
  let t3;
  return t3 = "undefined" != typeof ArrayBuffer && ArrayBuffer.isView ? ArrayBuffer.isView(e4) : e4 && e4.buffer && f(e4.buffer), t3;
}, isString: d, isNumber: h, isBoolean: (e4) => true === e4 || false === e4, isObject: m, isPlainObject: y, isReadableStream: R, isRequest: S, isResponse: T, isHeaders: A, isUndefined: u, isDate: b, isFile: g, isBlob: w, isRegExp: F, isFunction: p, isStream: (e4) => m(e4) && p(e4.pipe), isURLSearchParams: O, isTypedArray: N, isFileList: E, forEach: v, merge: function e2() {
  const { caseless: t3 } = j(this) && this || {}, n2 = {}, r2 = (r3, o2) => {
    const s2 = t3 && C(n2, o2) || o2;
    y(n2[s2]) && y(r3) ? n2[s2] = e2(n2[s2], r3) : y(r3) ? n2[s2] = e2({}, r3) : l(r3) ? n2[s2] = r3.slice() : n2[s2] = r3;
  };
  for (let e4 = 0, t4 = arguments.length; e4 < t4; e4++)
    arguments[e4] && v(arguments[e4], r2);
  return n2;
}, extend: (t3, n2, r2, { allOwnKeys: o2 } = {}) => (v(n2, (n3, o3) => {
  r2 && p(n3) ? t3[o3] = e(n3, r2) : t3[o3] = n3;
}, { allOwnKeys: o2 }), t3), trim: (e4) => e4.trim ? e4.trim() : e4.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, ""), stripBOM: (e4) => (65279 === e4.charCodeAt(0) && (e4 = e4.slice(1)), e4), inherits: (e4, t3, n2, r2) => {
  e4.prototype = Object.create(t3.prototype, r2), e4.prototype.constructor = e4, Object.defineProperty(e4, "super", { value: t3.prototype }), n2 && Object.assign(e4.prototype, n2);
}, toFlatObject: (e4, t3, r2, o2) => {
  let s2, i2, a2;
  const c2 = {};
  if (t3 = t3 || {}, null == e4)
    return t3;
  do {
    for (s2 = Object.getOwnPropertyNames(e4), i2 = s2.length; i2-- > 0; )
      a2 = s2[i2], o2 && !o2(a2, e4, t3) || c2[a2] || (t3[a2] = e4[a2], c2[a2] = true);
    e4 = false !== r2 && n(e4);
  } while (e4 && (!r2 || r2(e4, t3)) && e4 !== Object.prototype);
  return t3;
}, kindOf: s, kindOfTest: a, endsWith: (e4, t3, n2) => {
  e4 = String(e4), (void 0 === n2 || n2 > e4.length) && (n2 = e4.length), n2 -= t3.length;
  const r2 = e4.indexOf(t3, n2);
  return -1 !== r2 && r2 === n2;
}, toArray: (e4) => {
  if (!e4)
    return null;
  if (l(e4))
    return e4;
  let t3 = e4.length;
  if (!h(t3))
    return null;
  const n2 = new Array(t3);
  for (; t3-- > 0; )
    n2[t3] = e4[t3];
  return n2;
}, forEachEntry: (e4, t3) => {
  const n2 = (e4 && e4[r]).call(e4);
  let o2;
  for (; (o2 = n2.next()) && !o2.done; ) {
    const n3 = o2.value;
    t3.call(e4, n3[0], n3[1]);
  }
}, matchAll: (e4, t3) => {
  let n2;
  const r2 = [];
  for (; null !== (n2 = e4.exec(t3)); )
    r2.push(n2);
  return r2;
}, isHTMLForm: U, hasOwnProperty: _, hasOwnProp: _, reduceDescriptors: L, freezeMethods: (e4) => {
  L(e4, (t3, n2) => {
    if (p(e4) && -1 !== ["arguments", "caller", "callee"].indexOf(n2))
      return false;
    const r2 = e4[n2];
    p(r2) && (t3.enumerable = false, "writable" in t3 ? t3.writable = false : t3.set || (t3.set = () => {
      throw Error("Can not rewrite read-only method '" + n2 + "'");
    }));
  });
}, toObjectSet: (e4, t3) => {
  const n2 = {}, r2 = (e5) => {
    e5.forEach((e6) => {
      n2[e6] = true;
    });
  };
  return l(e4) ? r2(e4) : r2(String(e4).split(t3)), n2;
}, toCamelCase: (e4) => e4.toLowerCase().replace(/[-_\s]([a-z\d])(\w*)/g, function(e5, t3, n2) {
  return t3.toUpperCase() + n2;
}), noop: () => {
}, toFiniteNumber: (e4, t3) => null != e4 && Number.isFinite(e4 = +e4) ? e4 : t3, findKey: C, global: x, isContextDefined: j, isSpecCompliantForm: function(e4) {
  return !!(e4 && p(e4.append) && "FormData" === e4[o] && e4[r]);
}, toJSONObject: (e4) => {
  const t3 = new Array(10), n2 = (e5, r2) => {
    if (m(e5)) {
      if (t3.indexOf(e5) >= 0)
        return;
      if (!("toJSON" in e5)) {
        t3[r2] = e5;
        const o2 = l(e5) ? [] : {};
        return v(e5, (e6, t4) => {
          const s2 = n2(e6, r2 + 1);
          !u(s2) && (o2[t4] = s2);
        }), t3[r2] = void 0, o2;
      }
    }
    return e5;
  };
  return n2(e4, 0);
}, isAsyncFn: B, isThenable: (e4) => e4 && (m(e4) || p(e4)) && p(e4.then) && p(e4.catch), setImmediate: k, asap: z, isIterable: (e4) => null != e4 && p(e4[r]) };
function J(e4, t3, n2, r2, o2) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e4, this.name = "AxiosError", t3 && (this.code = t3), n2 && (this.config = n2), r2 && (this.request = r2), o2 && (this.response = o2, this.status = o2.status ? o2.status : null);
}
H.inherits(J, Error, { toJSON: function() {
  return { message: this.message, name: this.name, description: this.description, number: this.number, fileName: this.fileName, lineNumber: this.lineNumber, columnNumber: this.columnNumber, stack: this.stack, config: H.toJSONObject(this.config), code: this.code, status: this.status };
} });
const W = J.prototype, V = {};
["ERR_BAD_OPTION_VALUE", "ERR_BAD_OPTION", "ECONNABORTED", "ETIMEDOUT", "ERR_NETWORK", "ERR_FR_TOO_MANY_REDIRECTS", "ERR_DEPRECATED", "ERR_BAD_RESPONSE", "ERR_BAD_REQUEST", "ERR_CANCELED", "ERR_NOT_SUPPORT", "ERR_INVALID_URL"].forEach((e4) => {
  V[e4] = { value: e4 };
}), Object.defineProperties(J, V), Object.defineProperty(W, "isAxiosError", { value: true }), J.from = (e4, t3, n2, r2, o2, s2) => {
  const i2 = Object.create(W);
  return H.toFlatObject(e4, i2, function(e5) {
    return e5 !== Error.prototype;
  }, (e5) => "isAxiosError" !== e5), J.call(i2, e4.message, t3, n2, r2, o2), i2.cause = e4, i2.name = e4.name, s2 && Object.assign(i2, s2), i2;
};
function K(e4) {
  return H.isPlainObject(e4) || H.isArray(e4);
}
function $(e4) {
  return H.endsWith(e4, "[]") ? e4.slice(0, -2) : e4;
}
function X(e4, t3, n2) {
  return e4 ? e4.concat(t3).map(function(e5, t4) {
    return e5 = $(e5), !n2 && t4 ? "[" + e5 + "]" : e5;
  }).join(n2 ? "." : "") : t3;
}
const G = H.toFlatObject(H, {}, null, function(e4) {
  return /^is[A-Z]/.test(e4);
});
function Q(e4, t3, n2) {
  if (!H.isObject(e4))
    throw new TypeError("target must be an object");
  t3 = t3 || new FormData();
  const r2 = (n2 = H.toFlatObject(n2, { metaTokens: true, dots: false, indexes: false }, false, function(e5, t4) {
    return !H.isUndefined(t4[e5]);
  })).metaTokens, o2 = n2.visitor || l2, s2 = n2.dots, i2 = n2.indexes, a2 = (n2.Blob || "undefined" != typeof Blob && Blob) && H.isSpecCompliantForm(t3);
  if (!H.isFunction(o2))
    throw new TypeError("visitor must be a function");
  function c2(e5) {
    if (null === e5)
      return "";
    if (H.isDate(e5))
      return e5.toISOString();
    if (!a2 && H.isBlob(e5))
      throw new J("Blob is not supported. Use a Buffer instead.");
    return H.isArrayBuffer(e5) || H.isTypedArray(e5) ? a2 && "function" == typeof Blob ? new Blob([e5]) : Buffer.from(e5) : e5;
  }
  function l2(e5, n3, o3) {
    let a3 = e5;
    if (e5 && !o3 && "object" == typeof e5) {
      if (H.endsWith(n3, "{}"))
        n3 = r2 ? n3 : n3.slice(0, -2), e5 = JSON.stringify(e5);
      else if (H.isArray(e5) && function(e6) {
        return H.isArray(e6) && !e6.some(K);
      }(e5) || (H.isFileList(e5) || H.endsWith(n3, "[]")) && (a3 = H.toArray(e5)))
        return n3 = $(n3), a3.forEach(function(e6, r3) {
          !H.isUndefined(e6) && null !== e6 && t3.append(true === i2 ? X([n3], r3, s2) : null === i2 ? n3 : n3 + "[]", c2(e6));
        }), false;
    }
    return !!K(e5) || (t3.append(X(o3, n3, s2), c2(e5)), false);
  }
  const u2 = [], f2 = Object.assign(G, { defaultVisitor: l2, convertValue: c2, isVisitable: K });
  if (!H.isObject(e4))
    throw new TypeError("data must be an object");
  return function e5(n3, r3) {
    if (!H.isUndefined(n3)) {
      if (-1 !== u2.indexOf(n3))
        throw Error("Circular reference detected in " + r3.join("."));
      u2.push(n3), H.forEach(n3, function(n4, s3) {
        true === (!(H.isUndefined(n4) || null === n4) && o2.call(t3, n4, H.isString(s3) ? s3.trim() : s3, r3, f2)) && e5(n4, r3 ? r3.concat(s3) : [s3]);
      }), u2.pop();
    }
  }(e4), t3;
}
function Z(e4) {
  const t3 = { "!": "%21", "'": "%27", "(": "%28", ")": "%29", "~": "%7E", "%20": "+", "%00": "\0" };
  return encodeURIComponent(e4).replace(/[!'()~]|%20|%00/g, function(e5) {
    return t3[e5];
  });
}
function Y(e4, t3) {
  this._pairs = [], e4 && Q(e4, this, t3);
}
const ee = Y.prototype;
function te(e4) {
  return encodeURIComponent(e4).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function ne(e4, t3, n2) {
  if (!t3)
    return e4;
  const r2 = n2 && n2.encode || te;
  H.isFunction(n2) && (n2 = { serialize: n2 });
  const o2 = n2 && n2.serialize;
  let s2;
  if (s2 = o2 ? o2(t3, n2) : H.isURLSearchParams(t3) ? t3.toString() : new Y(t3, n2).toString(r2), s2) {
    const t4 = e4.indexOf("#");
    -1 !== t4 && (e4 = e4.slice(0, t4)), e4 += (-1 === e4.indexOf("?") ? "?" : "&") + s2;
  }
  return e4;
}
ee.append = function(e4, t3) {
  this._pairs.push([e4, t3]);
}, ee.toString = function(e4) {
  const t3 = e4 ? function(t4) {
    return e4.call(this, t4, Z);
  } : Z;
  return this._pairs.map(function(e5) {
    return t3(e5[0]) + "=" + t3(e5[1]);
  }, "").join("&");
};
const re = class {
  constructor() {
    this.handlers = [];
  }
  use(e4, t3, n2) {
    return this.handlers.push({ fulfilled: e4, rejected: t3, synchronous: !!n2 && n2.synchronous, runWhen: n2 ? n2.runWhen : null }), this.handlers.length - 1;
  }
  eject(e4) {
    this.handlers[e4] && (this.handlers[e4] = null);
  }
  clear() {
    this.handlers && (this.handlers = []);
  }
  forEach(e4) {
    H.forEach(this.handlers, function(t3) {
      null !== t3 && e4(t3);
    });
  }
}, oe = { silentJSONParsing: true, forcedJSONParsing: true, clarifyTimeoutError: false }, se = { isBrowser: true, classes: { URLSearchParams: "undefined" != typeof URLSearchParams ? URLSearchParams : Y, FormData: "undefined" != typeof FormData ? FormData : null, Blob: "undefined" != typeof Blob ? Blob : null }, protocols: ["http", "https", "file", "blob", "url", "data"] }, ie = "undefined" != typeof window && "undefined" != typeof document, ae = "object" == typeof navigator && navigator || void 0, ce = ie && (!ae || ["ReactNative", "NativeScript", "NS"].indexOf(ae.product) < 0), le = "undefined" != typeof WorkerGlobalScope && self instanceof WorkerGlobalScope && "function" == typeof self.importScripts, ue = ie && window.location.href || "http://localhost", fe = { ...Object.freeze(Object.defineProperty({ __proto__: null, hasBrowserEnv: ie, hasStandardBrowserEnv: ce, hasStandardBrowserWebWorkerEnv: le, navigator: ae, origin: ue }, Symbol.toStringTag, { value: "Module" })), ...se };
function de(e4) {
  function t3(e5, n2, r2, o2) {
    let s2 = e5[o2++];
    if ("__proto__" === s2)
      return true;
    const i2 = Number.isFinite(+s2), a2 = o2 >= e5.length;
    if (s2 = !s2 && H.isArray(r2) ? r2.length : s2, a2)
      return H.hasOwnProp(r2, s2) ? r2[s2] = [r2[s2], n2] : r2[s2] = n2, !i2;
    r2[s2] && H.isObject(r2[s2]) || (r2[s2] = []);
    return t3(e5, n2, r2[s2], o2) && H.isArray(r2[s2]) && (r2[s2] = function(e6) {
      const t4 = {}, n3 = Object.keys(e6);
      let r3;
      const o3 = n3.length;
      let s3;
      for (r3 = 0; r3 < o3; r3++)
        s3 = n3[r3], t4[s3] = e6[s3];
      return t4;
    }(r2[s2])), !i2;
  }
  if (H.isFormData(e4) && H.isFunction(e4.entries)) {
    const n2 = {};
    return H.forEachEntry(e4, (e5, r2) => {
      t3(function(e6) {
        return H.matchAll(/\w+|\[(\w*)]/g, e6).map((e7) => "[]" === e7[0] ? "" : e7[1] || e7[0]);
      }(e5), r2, n2, 0);
    }), n2;
  }
  return null;
}
const pe = { transitional: oe, adapter: ["xhr", "http", "fetch"], transformRequest: [function(e4, t3) {
  const n2 = t3.getContentType() || "", r2 = n2.indexOf("application/json") > -1, o2 = H.isObject(e4);
  o2 && H.isHTMLForm(e4) && (e4 = new FormData(e4));
  if (H.isFormData(e4))
    return r2 ? JSON.stringify(de(e4)) : e4;
  if (H.isArrayBuffer(e4) || H.isBuffer(e4) || H.isStream(e4) || H.isFile(e4) || H.isBlob(e4) || H.isReadableStream(e4))
    return e4;
  if (H.isArrayBufferView(e4))
    return e4.buffer;
  if (H.isURLSearchParams(e4))
    return t3.setContentType("application/x-www-form-urlencoded;charset=utf-8", false), e4.toString();
  let s2;
  if (o2) {
    if (n2.indexOf("application/x-www-form-urlencoded") > -1)
      return function(e5, t4) {
        return Q(e5, new fe.classes.URLSearchParams(), Object.assign({ visitor: function(e6, t5, n3, r3) {
          return fe.isNode && H.isBuffer(e6) ? (this.append(t5, e6.toString("base64")), false) : r3.defaultVisitor.apply(this, arguments);
        } }, t4));
      }(e4, this.formSerializer).toString();
    if ((s2 = H.isFileList(e4)) || n2.indexOf("multipart/form-data") > -1) {
      const t4 = this.env && this.env.FormData;
      return Q(s2 ? { "files[]": e4 } : e4, t4 && new t4(), this.formSerializer);
    }
  }
  return o2 || r2 ? (t3.setContentType("application/json", false), function(e5, t4, n3) {
    if (H.isString(e5))
      try {
        return (t4 || JSON.parse)(e5), H.trim(e5);
      } catch (e6) {
        if ("SyntaxError" !== e6.name)
          throw e6;
      }
    return (n3 || JSON.stringify)(e5);
  }(e4)) : e4;
}], transformResponse: [function(e4) {
  const t3 = this.transitional || pe.transitional, n2 = t3 && t3.forcedJSONParsing, r2 = "json" === this.responseType;
  if (H.isResponse(e4) || H.isReadableStream(e4))
    return e4;
  if (e4 && H.isString(e4) && (n2 && !this.responseType || r2)) {
    const n3 = !(t3 && t3.silentJSONParsing) && r2;
    try {
      return JSON.parse(e4);
    } catch (e5) {
      if (n3) {
        if ("SyntaxError" === e5.name)
          throw J.from(e5, J.ERR_BAD_RESPONSE, this, null, this.response);
        throw e5;
      }
    }
  }
  return e4;
}], timeout: 0, xsrfCookieName: "XSRF-TOKEN", xsrfHeaderName: "X-XSRF-TOKEN", maxContentLength: -1, maxBodyLength: -1, env: { FormData: fe.classes.FormData, Blob: fe.classes.Blob }, validateStatus: function(e4) {
  return e4 >= 200 && e4 < 300;
}, headers: { common: { Accept: "application/json, text/plain, */*", "Content-Type": void 0 } } };
H.forEach(["delete", "get", "head", "post", "put", "patch"], (e4) => {
  pe.headers[e4] = {};
});
const he = pe, me = H.toObjectSet(["age", "authorization", "content-length", "content-type", "etag", "expires", "from", "host", "if-modified-since", "if-unmodified-since", "last-modified", "location", "max-forwards", "proxy-authorization", "referer", "retry-after", "user-agent"]), ye = Symbol("internals");
function be(e4) {
  return e4 && String(e4).trim().toLowerCase();
}
function ge(e4) {
  return false === e4 || null == e4 ? e4 : H.isArray(e4) ? e4.map(ge) : String(e4);
}
function we(e4, t3, n2, r2, o2) {
  return H.isFunction(r2) ? r2.call(this, t3, n2) : (o2 && (t3 = n2), H.isString(t3) ? H.isString(r2) ? -1 !== t3.indexOf(r2) : H.isRegExp(r2) ? r2.test(t3) : void 0 : void 0);
}
let Ee = class {
  constructor(e4) {
    e4 && this.set(e4);
  }
  set(e4, t3, n2) {
    const r2 = this;
    function o2(e5, t4, n3) {
      const o3 = be(t4);
      if (!o3)
        throw new Error("header name must be a non-empty string");
      const s3 = H.findKey(r2, o3);
      (!s3 || void 0 === r2[s3] || true === n3 || void 0 === n3 && false !== r2[s3]) && (r2[s3 || t4] = ge(e5));
    }
    const s2 = (e5, t4) => H.forEach(e5, (e6, n3) => o2(e6, n3, t4));
    if (H.isPlainObject(e4) || e4 instanceof this.constructor)
      s2(e4, t3);
    else if (H.isString(e4) && (e4 = e4.trim()) && !/^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e4.trim()))
      s2(((e5) => {
        const t4 = {};
        let n3, r3, o3;
        return e5 && e5.split("\n").forEach(function(e6) {
          o3 = e6.indexOf(":"), n3 = e6.substring(0, o3).trim().toLowerCase(), r3 = e6.substring(o3 + 1).trim(), !n3 || t4[n3] && me[n3] || ("set-cookie" === n3 ? t4[n3] ? t4[n3].push(r3) : t4[n3] = [r3] : t4[n3] = t4[n3] ? t4[n3] + ", " + r3 : r3);
        }), t4;
      })(e4), t3);
    else if (H.isObject(e4) && H.isIterable(e4)) {
      let n3, r3, o3 = {};
      for (const t4 of e4) {
        if (!H.isArray(t4))
          throw TypeError("Object iterator must return a key-value pair");
        o3[r3 = t4[0]] = (n3 = o3[r3]) ? H.isArray(n3) ? [...n3, t4[1]] : [n3, t4[1]] : t4[1];
      }
      s2(o3, t3);
    } else
      null != e4 && o2(t3, e4, n2);
    return this;
  }
  get(e4, t3) {
    if (e4 = be(e4)) {
      const n2 = H.findKey(this, e4);
      if (n2) {
        const e5 = this[n2];
        if (!t3)
          return e5;
        if (true === t3)
          return function(e6) {
            const t4 = /* @__PURE__ */ Object.create(null), n3 = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
            let r2;
            for (; r2 = n3.exec(e6); )
              t4[r2[1]] = r2[2];
            return t4;
          }(e5);
        if (H.isFunction(t3))
          return t3.call(this, e5, n2);
        if (H.isRegExp(t3))
          return t3.exec(e5);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(e4, t3) {
    if (e4 = be(e4)) {
      const n2 = H.findKey(this, e4);
      return !(!n2 || void 0 === this[n2] || t3 && !we(0, this[n2], n2, t3));
    }
    return false;
  }
  delete(e4, t3) {
    const n2 = this;
    let r2 = false;
    function o2(e5) {
      if (e5 = be(e5)) {
        const o3 = H.findKey(n2, e5);
        !o3 || t3 && !we(0, n2[o3], o3, t3) || (delete n2[o3], r2 = true);
      }
    }
    return H.isArray(e4) ? e4.forEach(o2) : o2(e4), r2;
  }
  clear(e4) {
    const t3 = Object.keys(this);
    let n2 = t3.length, r2 = false;
    for (; n2--; ) {
      const o2 = t3[n2];
      e4 && !we(0, this[o2], o2, e4, true) || (delete this[o2], r2 = true);
    }
    return r2;
  }
  normalize(e4) {
    const t3 = this, n2 = {};
    return H.forEach(this, (r2, o2) => {
      const s2 = H.findKey(n2, o2);
      if (s2)
        return t3[s2] = ge(r2), void delete t3[o2];
      const i2 = e4 ? function(e5) {
        return e5.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (e6, t4, n3) => t4.toUpperCase() + n3);
      }(o2) : String(o2).trim();
      i2 !== o2 && delete t3[o2], t3[i2] = ge(r2), n2[i2] = true;
    }), this;
  }
  concat(...e4) {
    return this.constructor.concat(this, ...e4);
  }
  toJSON(e4) {
    const t3 = /* @__PURE__ */ Object.create(null);
    return H.forEach(this, (n2, r2) => {
      null != n2 && false !== n2 && (t3[r2] = e4 && H.isArray(n2) ? n2.join(", ") : n2);
    }), t3;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([e4, t3]) => e4 + ": " + t3).join("\n");
  }
  getSetCookie() {
    return this.get("set-cookie") || [];
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(e4) {
    return e4 instanceof this ? e4 : new this(e4);
  }
  static concat(e4, ...t3) {
    const n2 = new this(e4);
    return t3.forEach((e5) => n2.set(e5)), n2;
  }
  static accessor(e4) {
    const t3 = (this[ye] = this[ye] = { accessors: {} }).accessors, n2 = this.prototype;
    function r2(e5) {
      const r3 = be(e5);
      t3[r3] || (!function(e6, t4) {
        const n3 = H.toCamelCase(" " + t4);
        ["get", "set", "has"].forEach((r4) => {
          Object.defineProperty(e6, r4 + n3, { value: function(e7, n4, o2) {
            return this[r4].call(this, t4, e7, n4, o2);
          }, configurable: true });
        });
      }(n2, e5), t3[r3] = true);
    }
    return H.isArray(e4) ? e4.forEach(r2) : r2(e4), this;
  }
};
Ee.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]), H.reduceDescriptors(Ee.prototype, ({ value: e4 }, t3) => {
  let n2 = t3[0].toUpperCase() + t3.slice(1);
  return { get: () => e4, set(e5) {
    this[n2] = e5;
  } };
}), H.freezeMethods(Ee);
const Oe = Ee;
function Re(e4, t3) {
  const n2 = this || he, r2 = t3 || n2, o2 = Oe.from(r2.headers);
  let s2 = r2.data;
  return H.forEach(e4, function(e5) {
    s2 = e5.call(n2, s2, o2.normalize(), t3 ? t3.status : void 0);
  }), o2.normalize(), s2;
}
function Se(e4) {
  return !(!e4 || !e4.__CANCEL__);
}
function Te(e4, t3, n2) {
  J.call(this, null == e4 ? "canceled" : e4, J.ERR_CANCELED, t3, n2), this.name = "CanceledError";
}
function Ae(e4, t3, n2) {
  const r2 = n2.config.validateStatus;
  n2.status && r2 && !r2(n2.status) ? t3(new J("Request failed with status code " + n2.status, [J.ERR_BAD_REQUEST, J.ERR_BAD_RESPONSE][Math.floor(n2.status / 100) - 4], n2.config, n2.request, n2)) : e4(n2);
}
H.inherits(Te, J, { __CANCEL__: true });
const ve = (e4, t3, n2 = 3) => {
  let r2 = 0;
  const o2 = function(e5, t4) {
    e5 = e5 || 10;
    const n3 = new Array(e5), r3 = new Array(e5);
    let o3, s2 = 0, i2 = 0;
    return t4 = void 0 !== t4 ? t4 : 1e3, function(a2) {
      const c2 = Date.now(), l2 = r3[i2];
      o3 || (o3 = c2), n3[s2] = a2, r3[s2] = c2;
      let u2 = i2, f2 = 0;
      for (; u2 !== s2; )
        f2 += n3[u2++], u2 %= e5;
      if (s2 = (s2 + 1) % e5, s2 === i2 && (i2 = (i2 + 1) % e5), c2 - o3 < t4)
        return;
      const d2 = l2 && c2 - l2;
      return d2 ? Math.round(1e3 * f2 / d2) : void 0;
    };
  }(50, 250);
  return function(e5, t4) {
    let n3, r3, o3 = 0, s2 = 1e3 / t4;
    const i2 = (t5, s3 = Date.now()) => {
      o3 = s3, n3 = null, r3 && (clearTimeout(r3), r3 = null), e5.apply(null, t5);
    };
    return [(...e6) => {
      const t5 = Date.now(), a2 = t5 - o3;
      a2 >= s2 ? i2(e6, t5) : (n3 = e6, r3 || (r3 = setTimeout(() => {
        r3 = null, i2(n3);
      }, s2 - a2)));
    }, () => n3 && i2(n3)];
  }((n3) => {
    const s2 = n3.loaded, i2 = n3.lengthComputable ? n3.total : void 0, a2 = s2 - r2, c2 = o2(a2);
    r2 = s2;
    e4({ loaded: s2, total: i2, progress: i2 ? s2 / i2 : void 0, bytes: a2, rate: c2 || void 0, estimated: c2 && i2 && s2 <= i2 ? (i2 - s2) / c2 : void 0, event: n3, lengthComputable: null != i2, [t3 ? "download" : "upload"]: true });
  }, n2);
}, Ce = (e4, t3) => {
  const n2 = null != e4;
  return [(r2) => t3[0]({ lengthComputable: n2, total: e4, loaded: r2 }), t3[1]];
}, xe = (e4) => (...t3) => H.asap(() => e4(...t3)), je = fe.hasStandardBrowserEnv ? ((e4, t3) => (n2) => (n2 = new URL(n2, fe.origin), e4.protocol === n2.protocol && e4.host === n2.host && (t3 || e4.port === n2.port)))(new URL(fe.origin), fe.navigator && /(msie|trident)/i.test(fe.navigator.userAgent)) : () => true, Ne = fe.hasStandardBrowserEnv ? { write(e4, t3, n2, r2, o2, s2) {
  const i2 = [e4 + "=" + encodeURIComponent(t3)];
  H.isNumber(n2) && i2.push("expires=" + new Date(n2).toGMTString()), H.isString(r2) && i2.push("path=" + r2), H.isString(o2) && i2.push("domain=" + o2), true === s2 && i2.push("secure"), document.cookie = i2.join("; ");
}, read(e4) {
  const t3 = document.cookie.match(new RegExp("(^|;\\s*)(" + e4 + ")=([^;]*)"));
  return t3 ? decodeURIComponent(t3[3]) : null;
}, remove(e4) {
  this.write(e4, "", Date.now() - 864e5);
} } : { write() {
}, read: () => null, remove() {
} };
function Pe(e4, t3, n2) {
  let r2 = !/^([a-z][a-z\d+\-.]*:)?\/\//i.test(t3);
  return e4 && (r2 || 0 == n2) ? function(e5, t4) {
    return t4 ? e5.replace(/\/?\/$/, "") + "/" + t4.replace(/^\/+/, "") : e5;
  }(e4, t3) : t3;
}
const Ue = (e4) => e4 instanceof Oe ? { ...e4 } : e4;
function _e(e4, t3) {
  t3 = t3 || {};
  const n2 = {};
  function r2(e5, t4, n3, r3) {
    return H.isPlainObject(e5) && H.isPlainObject(t4) ? H.merge.call({ caseless: r3 }, e5, t4) : H.isPlainObject(t4) ? H.merge({}, t4) : H.isArray(t4) ? t4.slice() : t4;
  }
  function o2(e5, t4, n3, o3) {
    return H.isUndefined(t4) ? H.isUndefined(e5) ? void 0 : r2(void 0, e5, 0, o3) : r2(e5, t4, 0, o3);
  }
  function s2(e5, t4) {
    if (!H.isUndefined(t4))
      return r2(void 0, t4);
  }
  function i2(e5, t4) {
    return H.isUndefined(t4) ? H.isUndefined(e5) ? void 0 : r2(void 0, e5) : r2(void 0, t4);
  }
  function a2(n3, o3, s3) {
    return s3 in t3 ? r2(n3, o3) : s3 in e4 ? r2(void 0, n3) : void 0;
  }
  const c2 = { url: s2, method: s2, data: s2, baseURL: i2, transformRequest: i2, transformResponse: i2, paramsSerializer: i2, timeout: i2, timeoutMessage: i2, withCredentials: i2, withXSRFToken: i2, adapter: i2, responseType: i2, xsrfCookieName: i2, xsrfHeaderName: i2, onUploadProgress: i2, onDownloadProgress: i2, decompress: i2, maxContentLength: i2, maxBodyLength: i2, beforeRedirect: i2, transport: i2, httpAgent: i2, httpsAgent: i2, cancelToken: i2, socketPath: i2, responseEncoding: i2, validateStatus: a2, headers: (e5, t4, n3) => o2(Ue(e5), Ue(t4), 0, true) };
  return H.forEach(Object.keys(Object.assign({}, e4, t3)), function(r3) {
    const s3 = c2[r3] || o2, i3 = s3(e4[r3], t3[r3], r3);
    H.isUndefined(i3) && s3 !== a2 || (n2[r3] = i3);
  }), n2;
}
const Fe = (e4) => {
  const t3 = _e({}, e4);
  let n2, { data: r2, withXSRFToken: o2, xsrfHeaderName: s2, xsrfCookieName: i2, headers: a2, auth: c2 } = t3;
  if (t3.headers = a2 = Oe.from(a2), t3.url = ne(Pe(t3.baseURL, t3.url, t3.allowAbsoluteUrls), e4.params, e4.paramsSerializer), c2 && a2.set("Authorization", "Basic " + btoa((c2.username || "") + ":" + (c2.password ? unescape(encodeURIComponent(c2.password)) : ""))), H.isFormData(r2)) {
    if (fe.hasStandardBrowserEnv || fe.hasStandardBrowserWebWorkerEnv)
      a2.setContentType(void 0);
    else if (false !== (n2 = a2.getContentType())) {
      const [e5, ...t4] = n2 ? n2.split(";").map((e6) => e6.trim()).filter(Boolean) : [];
      a2.setContentType([e5 || "multipart/form-data", ...t4].join("; "));
    }
  }
  if (fe.hasStandardBrowserEnv && (o2 && H.isFunction(o2) && (o2 = o2(t3)), o2 || false !== o2 && je(t3.url))) {
    const e5 = s2 && i2 && Ne.read(i2);
    e5 && a2.set(s2, e5);
  }
  return t3;
}, Le = "undefined" != typeof XMLHttpRequest && function(e4) {
  return new Promise(function(t3, n2) {
    const r2 = Fe(e4);
    let o2 = r2.data;
    const s2 = Oe.from(r2.headers).normalize();
    let i2, a2, c2, l2, u2, { responseType: f2, onUploadProgress: d2, onDownloadProgress: p2 } = r2;
    function h2() {
      l2 && l2(), u2 && u2(), r2.cancelToken && r2.cancelToken.unsubscribe(i2), r2.signal && r2.signal.removeEventListener("abort", i2);
    }
    let m2 = new XMLHttpRequest();
    function y2() {
      if (!m2)
        return;
      const r3 = Oe.from("getAllResponseHeaders" in m2 && m2.getAllResponseHeaders());
      Ae(function(e5) {
        t3(e5), h2();
      }, function(e5) {
        n2(e5), h2();
      }, { data: f2 && "text" !== f2 && "json" !== f2 ? m2.response : m2.responseText, status: m2.status, statusText: m2.statusText, headers: r3, config: e4, request: m2 }), m2 = null;
    }
    m2.open(r2.method.toUpperCase(), r2.url, true), m2.timeout = r2.timeout, "onloadend" in m2 ? m2.onloadend = y2 : m2.onreadystatechange = function() {
      m2 && 4 === m2.readyState && (0 !== m2.status || m2.responseURL && 0 === m2.responseURL.indexOf("file:")) && setTimeout(y2);
    }, m2.onabort = function() {
      m2 && (n2(new J("Request aborted", J.ECONNABORTED, e4, m2)), m2 = null);
    }, m2.onerror = function() {
      n2(new J("Network Error", J.ERR_NETWORK, e4, m2)), m2 = null;
    }, m2.ontimeout = function() {
      let t4 = r2.timeout ? "timeout of " + r2.timeout + "ms exceeded" : "timeout exceeded";
      const o3 = r2.transitional || oe;
      r2.timeoutErrorMessage && (t4 = r2.timeoutErrorMessage), n2(new J(t4, o3.clarifyTimeoutError ? J.ETIMEDOUT : J.ECONNABORTED, e4, m2)), m2 = null;
    }, void 0 === o2 && s2.setContentType(null), "setRequestHeader" in m2 && H.forEach(s2.toJSON(), function(e5, t4) {
      m2.setRequestHeader(t4, e5);
    }), H.isUndefined(r2.withCredentials) || (m2.withCredentials = !!r2.withCredentials), f2 && "json" !== f2 && (m2.responseType = r2.responseType), p2 && ([c2, u2] = ve(p2, true), m2.addEventListener("progress", c2)), d2 && m2.upload && ([a2, l2] = ve(d2), m2.upload.addEventListener("progress", a2), m2.upload.addEventListener("loadend", l2)), (r2.cancelToken || r2.signal) && (i2 = (t4) => {
      m2 && (n2(!t4 || t4.type ? new Te(null, e4, m2) : t4), m2.abort(), m2 = null);
    }, r2.cancelToken && r2.cancelToken.subscribe(i2), r2.signal && (r2.signal.aborted ? i2() : r2.signal.addEventListener("abort", i2)));
    const b2 = function(e5) {
      const t4 = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e5);
      return t4 && t4[1] || "";
    }(r2.url);
    b2 && -1 === fe.protocols.indexOf(b2) ? n2(new J("Unsupported protocol " + b2 + ":", J.ERR_BAD_REQUEST, e4)) : m2.send(o2 || null);
  });
}, Be = (e4, t3) => {
  const { length: n2 } = e4 = e4 ? e4.filter(Boolean) : [];
  if (t3 || n2) {
    let n3, r2 = new AbortController();
    const o2 = function(e5) {
      if (!n3) {
        n3 = true, i2();
        const t4 = e5 instanceof Error ? e5 : this.reason;
        r2.abort(t4 instanceof J ? t4 : new Te(t4 instanceof Error ? t4.message : t4));
      }
    };
    let s2 = t3 && setTimeout(() => {
      s2 = null, o2(new J(`timeout ${t3} of ms exceeded`, J.ETIMEDOUT));
    }, t3);
    const i2 = () => {
      e4 && (s2 && clearTimeout(s2), s2 = null, e4.forEach((e5) => {
        e5.unsubscribe ? e5.unsubscribe(o2) : e5.removeEventListener("abort", o2);
      }), e4 = null);
    };
    e4.forEach((e5) => e5.addEventListener("abort", o2));
    const { signal: a2 } = r2;
    return a2.unsubscribe = () => H.asap(i2), a2;
  }
}, ke = function* (e4, t3) {
  let n2 = e4.byteLength;
  if (!t3 || n2 < t3)
    return void (yield e4);
  let r2, o2 = 0;
  for (; o2 < n2; )
    r2 = o2 + t3, yield e4.slice(o2, r2), o2 = r2;
}, De = async function* (e4) {
  if (e4[Symbol.asyncIterator])
    return void (yield* e4);
  const t3 = e4.getReader();
  try {
    for (; ; ) {
      const { done: e5, value: n2 } = await t3.read();
      if (e5)
        break;
      yield n2;
    }
  } finally {
    await t3.cancel();
  }
}, qe = (e4, t3, n2, r2) => {
  const o2 = async function* (e5, t4) {
    for await (const n3 of De(e5))
      yield* ke(n3, t4);
  }(e4, t3);
  let s2, i2 = 0, a2 = (e5) => {
    s2 || (s2 = true, r2 && r2(e5));
  };
  return new ReadableStream({ async pull(e5) {
    try {
      const { done: t4, value: r3 } = await o2.next();
      if (t4)
        return a2(), void e5.close();
      let s3 = r3.byteLength;
      if (n2) {
        let e6 = i2 += s3;
        n2(e6);
      }
      e5.enqueue(new Uint8Array(r3));
    } catch (e6) {
      throw a2(e6), e6;
    }
  }, cancel: (e5) => (a2(e5), o2.return()) }, { highWaterMark: 2 });
}, Me = "function" == typeof fetch && "function" == typeof Request && "function" == typeof Response, Ie = Me && "function" == typeof ReadableStream, ze = Me && ("function" == typeof TextEncoder ? (He = new TextEncoder(), (e4) => He.encode(e4)) : async (e4) => new Uint8Array(await new Response(e4).arrayBuffer()));
var He;
const Je = (e4, ...t3) => {
  try {
    return !!e4(...t3);
  } catch (e5) {
    return false;
  }
}, We = Ie && Je(() => {
  let e4 = false;
  const t3 = new Request(fe.origin, { body: new ReadableStream(), method: "POST", get duplex() {
    return e4 = true, "half";
  } }).headers.has("Content-Type");
  return e4 && !t3;
}), Ve = Ie && Je(() => H.isReadableStream(new Response("").body)), Ke = { stream: Ve && ((e4) => e4.body) };
var $e;
Me && ($e = new Response(), ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((e4) => {
  !Ke[e4] && (Ke[e4] = H.isFunction($e[e4]) ? (t3) => t3[e4]() : (t3, n2) => {
    throw new J(`Response type '${e4}' is not supported`, J.ERR_NOT_SUPPORT, n2);
  });
}));
const Xe = async (e4, t3) => {
  const n2 = H.toFiniteNumber(e4.getContentLength());
  return null == n2 ? (async (e5) => {
    if (null == e5)
      return 0;
    if (H.isBlob(e5))
      return e5.size;
    if (H.isSpecCompliantForm(e5)) {
      const t4 = new Request(fe.origin, { method: "POST", body: e5 });
      return (await t4.arrayBuffer()).byteLength;
    }
    return H.isArrayBufferView(e5) || H.isArrayBuffer(e5) ? e5.byteLength : (H.isURLSearchParams(e5) && (e5 += ""), H.isString(e5) ? (await ze(e5)).byteLength : void 0);
  })(t3) : n2;
}, Ge = { http: null, xhr: Le, fetch: Me && (async (e4) => {
  let { url: t3, method: n2, data: r2, signal: o2, cancelToken: s2, timeout: i2, onDownloadProgress: a2, onUploadProgress: c2, responseType: l2, headers: u2, withCredentials: f2 = "same-origin", fetchOptions: d2 } = Fe(e4);
  l2 = l2 ? (l2 + "").toLowerCase() : "text";
  let p2, h2 = Be([o2, s2 && s2.toAbortSignal()], i2);
  const m2 = h2 && h2.unsubscribe && (() => {
    h2.unsubscribe();
  });
  let y2;
  try {
    if (c2 && We && "get" !== n2 && "head" !== n2 && 0 !== (y2 = await Xe(u2, r2))) {
      let e5, n3 = new Request(t3, { method: "POST", body: r2, duplex: "half" });
      if (H.isFormData(r2) && (e5 = n3.headers.get("content-type")) && u2.setContentType(e5), n3.body) {
        const [e6, t4] = Ce(y2, ve(xe(c2)));
        r2 = qe(n3.body, 65536, e6, t4);
      }
    }
    H.isString(f2) || (f2 = f2 ? "include" : "omit");
    const o3 = "credentials" in Request.prototype;
    p2 = new Request(t3, { ...d2, signal: h2, method: n2.toUpperCase(), headers: u2.normalize().toJSON(), body: r2, duplex: "half", credentials: o3 ? f2 : void 0 });
    let s3 = await fetch(p2);
    const i3 = Ve && ("stream" === l2 || "response" === l2);
    if (Ve && (a2 || i3 && m2)) {
      const e5 = {};
      ["status", "statusText", "headers"].forEach((t5) => {
        e5[t5] = s3[t5];
      });
      const t4 = H.toFiniteNumber(s3.headers.get("content-length")), [n3, r3] = a2 && Ce(t4, ve(xe(a2), true)) || [];
      s3 = new Response(qe(s3.body, 65536, n3, () => {
        r3 && r3(), m2 && m2();
      }), e5);
    }
    l2 = l2 || "text";
    let b2 = await Ke[H.findKey(Ke, l2) || "text"](s3, e4);
    return !i3 && m2 && m2(), await new Promise((t4, n3) => {
      Ae(t4, n3, { data: b2, headers: Oe.from(s3.headers), status: s3.status, statusText: s3.statusText, config: e4, request: p2 });
    });
  } catch (t4) {
    if (m2 && m2(), t4 && "TypeError" === t4.name && /Load failed|fetch/i.test(t4.message))
      throw Object.assign(new J("Network Error", J.ERR_NETWORK, e4, p2), { cause: t4.cause || t4 });
    throw J.from(t4, t4 && t4.code, e4, p2);
  }
}) };
H.forEach(Ge, (e4, t3) => {
  if (e4) {
    try {
      Object.defineProperty(e4, "name", { value: t3 });
    } catch (e5) {
    }
    Object.defineProperty(e4, "adapterName", { value: t3 });
  }
});
const Qe = (e4) => `- ${e4}`, Ze = (e4) => H.isFunction(e4) || null === e4 || false === e4, Ye = (e4) => {
  e4 = H.isArray(e4) ? e4 : [e4];
  const { length: t3 } = e4;
  let n2, r2;
  const o2 = {};
  for (let s2 = 0; s2 < t3; s2++) {
    let t4;
    if (n2 = e4[s2], r2 = n2, !Ze(n2) && (r2 = Ge[(t4 = String(n2)).toLowerCase()], void 0 === r2))
      throw new J(`Unknown adapter '${t4}'`);
    if (r2)
      break;
    o2[t4 || "#" + s2] = r2;
  }
  if (!r2) {
    const e5 = Object.entries(o2).map(([e6, t4]) => `adapter ${e6} ` + (false === t4 ? "is not supported by the environment" : "is not available in the build"));
    throw new J("There is no suitable adapter to dispatch the request " + (t3 ? e5.length > 1 ? "since :\n" + e5.map(Qe).join("\n") : " " + Qe(e5[0]) : "as no adapter specified"), "ERR_NOT_SUPPORT");
  }
  return r2;
};
function et(e4) {
  if (e4.cancelToken && e4.cancelToken.throwIfRequested(), e4.signal && e4.signal.aborted)
    throw new Te(null, e4);
}
function tt(e4) {
  et(e4), e4.headers = Oe.from(e4.headers), e4.data = Re.call(e4, e4.transformRequest), -1 !== ["post", "put", "patch"].indexOf(e4.method) && e4.headers.setContentType("application/x-www-form-urlencoded", false);
  return Ye(e4.adapter || he.adapter)(e4).then(function(t3) {
    return et(e4), t3.data = Re.call(e4, e4.transformResponse, t3), t3.headers = Oe.from(t3.headers), t3;
  }, function(t3) {
    return Se(t3) || (et(e4), t3 && t3.response && (t3.response.data = Re.call(e4, e4.transformResponse, t3.response), t3.response.headers = Oe.from(t3.response.headers))), Promise.reject(t3);
  });
}
const nt = "1.9.0", rt = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e4, t3) => {
  rt[e4] = function(n2) {
    return typeof n2 === e4 || "a" + (t3 < 1 ? "n " : " ") + e4;
  };
}), rt.transitional = function(e4, t3, n2) {
  return (r2, o2, s2) => {
    if (false === e4)
      throw new J(function(e5, t4) {
        return "[Axios v1.9.0] Transitional option '" + e5 + "'" + t4 + (n2 ? ". " + n2 : "");
      }(o2, " has been removed" + (t3 ? " in " + t3 : "")), J.ERR_DEPRECATED);
    return !e4 || e4(r2, o2, s2);
  };
}, rt.spelling = function(e4) {
  return (e5, t3) => true;
};
const ot = { assertOptions: function(e4, t3, n2) {
  if ("object" != typeof e4)
    throw new J("options must be an object", J.ERR_BAD_OPTION_VALUE);
  const r2 = Object.keys(e4);
  let o2 = r2.length;
  for (; o2-- > 0; ) {
    const s2 = r2[o2], i2 = t3[s2];
    if (i2) {
      const t4 = e4[s2], n3 = void 0 === t4 || i2(t4, s2, e4);
      if (true !== n3)
        throw new J("option " + s2 + " must be " + n3, J.ERR_BAD_OPTION_VALUE);
    } else if (true !== n2)
      throw new J("Unknown option " + s2, J.ERR_BAD_OPTION);
  }
}, validators: rt }, st = ot.validators;
let it = class {
  constructor(e4) {
    this.defaults = e4 || {}, this.interceptors = { request: new re(), response: new re() };
  }
  async request(e4, t3) {
    try {
      return await this._request(e4, t3);
    } catch (e5) {
      if (e5 instanceof Error) {
        let t4 = {};
        Error.captureStackTrace ? Error.captureStackTrace(t4) : t4 = new Error();
        const n2 = t4.stack ? t4.stack.replace(/^.+\n/, "") : "";
        try {
          e5.stack ? n2 && !String(e5.stack).endsWith(n2.replace(/^.+\n.+\n/, "")) && (e5.stack += "\n" + n2) : e5.stack = n2;
        } catch (e6) {
        }
      }
      throw e5;
    }
  }
  _request(e4, t3) {
    "string" == typeof e4 ? (t3 = t3 || {}).url = e4 : t3 = e4 || {}, t3 = _e(this.defaults, t3);
    const { transitional: n2, paramsSerializer: r2, headers: o2 } = t3;
    void 0 !== n2 && ot.assertOptions(n2, { silentJSONParsing: st.transitional(st.boolean), forcedJSONParsing: st.transitional(st.boolean), clarifyTimeoutError: st.transitional(st.boolean) }, false), null != r2 && (H.isFunction(r2) ? t3.paramsSerializer = { serialize: r2 } : ot.assertOptions(r2, { encode: st.function, serialize: st.function }, true)), void 0 !== t3.allowAbsoluteUrls || (void 0 !== this.defaults.allowAbsoluteUrls ? t3.allowAbsoluteUrls = this.defaults.allowAbsoluteUrls : t3.allowAbsoluteUrls = true), ot.assertOptions(t3, { baseUrl: st.spelling("baseURL"), withXsrfToken: st.spelling("withXSRFToken") }, true), t3.method = (t3.method || this.defaults.method || "get").toLowerCase();
    let s2 = o2 && H.merge(o2.common, o2[t3.method]);
    o2 && H.forEach(["delete", "get", "head", "post", "put", "patch", "common"], (e5) => {
      delete o2[e5];
    }), t3.headers = Oe.concat(s2, o2);
    const i2 = [];
    let a2 = true;
    this.interceptors.request.forEach(function(e5) {
      "function" == typeof e5.runWhen && false === e5.runWhen(t3) || (a2 = a2 && e5.synchronous, i2.unshift(e5.fulfilled, e5.rejected));
    });
    const c2 = [];
    let l2;
    this.interceptors.response.forEach(function(e5) {
      c2.push(e5.fulfilled, e5.rejected);
    });
    let u2, f2 = 0;
    if (!a2) {
      const e5 = [tt.bind(this), void 0];
      for (e5.unshift.apply(e5, i2), e5.push.apply(e5, c2), u2 = e5.length, l2 = Promise.resolve(t3); f2 < u2; )
        l2 = l2.then(e5[f2++], e5[f2++]);
      return l2;
    }
    u2 = i2.length;
    let d2 = t3;
    for (f2 = 0; f2 < u2; ) {
      const e5 = i2[f2++], t4 = i2[f2++];
      try {
        d2 = e5(d2);
      } catch (e6) {
        t4.call(this, e6);
        break;
      }
    }
    try {
      l2 = tt.call(this, d2);
    } catch (e5) {
      return Promise.reject(e5);
    }
    for (f2 = 0, u2 = c2.length; f2 < u2; )
      l2 = l2.then(c2[f2++], c2[f2++]);
    return l2;
  }
  getUri(e4) {
    return ne(Pe((e4 = _e(this.defaults, e4)).baseURL, e4.url, e4.allowAbsoluteUrls), e4.params, e4.paramsSerializer);
  }
};
H.forEach(["delete", "get", "head", "options"], function(e4) {
  it.prototype[e4] = function(t3, n2) {
    return this.request(_e(n2 || {}, { method: e4, url: t3, data: (n2 || {}).data }));
  };
}), H.forEach(["post", "put", "patch"], function(e4) {
  function t3(t4) {
    return function(n2, r2, o2) {
      return this.request(_e(o2 || {}, { method: e4, headers: t4 ? { "Content-Type": "multipart/form-data" } : {}, url: n2, data: r2 }));
    };
  }
  it.prototype[e4] = t3(), it.prototype[e4 + "Form"] = t3(true);
});
const at = it;
const ct = class e3 {
  constructor(e4) {
    if ("function" != typeof e4)
      throw new TypeError("executor must be a function.");
    let t3;
    this.promise = new Promise(function(e5) {
      t3 = e5;
    });
    const n2 = this;
    this.promise.then((e5) => {
      if (!n2._listeners)
        return;
      let t4 = n2._listeners.length;
      for (; t4-- > 0; )
        n2._listeners[t4](e5);
      n2._listeners = null;
    }), this.promise.then = (e5) => {
      let t4;
      const r2 = new Promise((e6) => {
        n2.subscribe(e6), t4 = e6;
      }).then(e5);
      return r2.cancel = function() {
        n2.unsubscribe(t4);
      }, r2;
    }, e4(function(e5, r2, o2) {
      n2.reason || (n2.reason = new Te(e5, r2, o2), t3(n2.reason));
    });
  }
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  subscribe(e4) {
    this.reason ? e4(this.reason) : this._listeners ? this._listeners.push(e4) : this._listeners = [e4];
  }
  unsubscribe(e4) {
    if (!this._listeners)
      return;
    const t3 = this._listeners.indexOf(e4);
    -1 !== t3 && this._listeners.splice(t3, 1);
  }
  toAbortSignal() {
    const e4 = new AbortController(), t3 = (t4) => {
      e4.abort(t4);
    };
    return this.subscribe(t3), e4.signal.unsubscribe = () => this.unsubscribe(t3), e4.signal;
  }
  static source() {
    let t3;
    return { token: new e3(function(e4) {
      t3 = e4;
    }), cancel: t3 };
  }
};
const lt = { Continue: 100, SwitchingProtocols: 101, Processing: 102, EarlyHints: 103, Ok: 200, Created: 201, Accepted: 202, NonAuthoritativeInformation: 203, NoContent: 204, ResetContent: 205, PartialContent: 206, MultiStatus: 207, AlreadyReported: 208, ImUsed: 226, MultipleChoices: 300, MovedPermanently: 301, Found: 302, SeeOther: 303, NotModified: 304, UseProxy: 305, Unused: 306, TemporaryRedirect: 307, PermanentRedirect: 308, BadRequest: 400, Unauthorized: 401, PaymentRequired: 402, Forbidden: 403, NotFound: 404, MethodNotAllowed: 405, NotAcceptable: 406, ProxyAuthenticationRequired: 407, RequestTimeout: 408, Conflict: 409, Gone: 410, LengthRequired: 411, PreconditionFailed: 412, PayloadTooLarge: 413, UriTooLong: 414, UnsupportedMediaType: 415, RangeNotSatisfiable: 416, ExpectationFailed: 417, ImATeapot: 418, MisdirectedRequest: 421, UnprocessableEntity: 422, Locked: 423, FailedDependency: 424, TooEarly: 425, UpgradeRequired: 426, PreconditionRequired: 428, TooManyRequests: 429, RequestHeaderFieldsTooLarge: 431, UnavailableForLegalReasons: 451, InternalServerError: 500, NotImplemented: 501, BadGateway: 502, ServiceUnavailable: 503, GatewayTimeout: 504, HttpVersionNotSupported: 505, VariantAlsoNegotiates: 506, InsufficientStorage: 507, LoopDetected: 508, NotExtended: 510, NetworkAuthenticationRequired: 511 };
Object.entries(lt).forEach(([e4, t3]) => {
  lt[t3] = e4;
});
const ut = lt;
const ft = function t2(n2) {
  const r2 = new at(n2), o2 = e(at.prototype.request, r2);
  return H.extend(o2, at.prototype, r2, { allOwnKeys: true }), H.extend(o2, r2, null, { allOwnKeys: true }), o2.create = function(e4) {
    return t2(_e(n2, e4));
  }, o2;
}(he);
ft.Axios = at, ft.CanceledError = Te, ft.CancelToken = ct, ft.isCancel = Se, ft.VERSION = nt, ft.toFormData = Q, ft.AxiosError = J, ft.Cancel = ft.CanceledError, ft.all = function(e4) {
  return Promise.all(e4);
}, ft.spread = function(e4) {
  return function(t3) {
    return e4.apply(null, t3);
  };
}, ft.isAxiosError = function(e4) {
  return H.isObject(e4) && true === e4.isAxiosError;
}, ft.mergeConfig = _e, ft.AxiosHeaders = Oe, ft.formToJSON = (e4) => de(H.isHTMLForm(e4) ? new FormData(e4) : e4), ft.getAdapter = Ye, ft.HttpStatusCode = ut, ft.default = ft;
const dt = ft, { Axios: pt, AxiosError: ht, CanceledError: mt, isCancel: yt, CancelToken: bt, VERSION: gt, all: wt, Cancel: Et, isAxiosError: Ot, spread: Rt, toFormData: St, AxiosHeaders: Tt, HttpStatusCode: At, formToJSON: vt, getAdapter: Ct, mergeConfig: xt } = dt, jt = Object.freeze(Object.defineProperty({ __proto__: null, Axios: pt, AxiosError: ht, AxiosHeaders: Tt, Cancel: Et, CancelToken: bt, CanceledError: mt, HttpStatusCode: At, VERSION: gt, all: wt, default: dt, formToJSON: vt, getAdapter: Ct, isAxiosError: Ot, isCancel: yt, mergeConfig: xt, spread: Rt, toFormData: St }, Symbol.toStringTag, { value: "Module" }));
export {
  jt as $,
  dt as a
};
